<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Document</title>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="../lib/index.js"></script>
  <script>
    var httpClient = new MidasHttpClient('https://reqres.in/api')
    // GET
    httpClient.get('/users')
      .then(res => {
        console.log('SUCESSO NO GET')
        console.log(res)
      }).catch(err => {
        console.log('ERRO NO GET')
        console.log(err)
      })
    // POST
    httpClient.post('/users', {name: "morpheus", job: "leader"})
      .then(res => {
        console.log('SUCESSO NO POST')
        console.log(res)
      }).catch(err => {
        console.log('ERRO NO POST')
        console.log(err)
      })
    // PUT
    httpClient.put('/users', {name: "morpheus", job: "leader"})
      .then(res => {
        console.log('SUCESSO NO PUT')
        console.log(res)
      }).catch(err => {
        console.log('ERRO NO PUT')
        console.log(err)
      })
    // DELETE
    httpClient.delete(`/users/2`)
      .then(() => {
        console.log('SUCESSO NO DELETE')
      }).catch(err => {
        console.log('ERRO NO DELETE')
        console.log(err)
      })
  </script>
</head>
<body>
  
</body>
</html>